import UAParser from "ua-parser-js";

const ua = new UAParser();

function printUA() {
  console.log(
    `浏览器名称：${ua.getBrowser().name}   浏览器版本：${
      ua.getBrowser().version
    }`
  );

  console.log(ua.getEngine(), ua.getDevice(), ua.getCPU(), ua.getOS());
}

printUA();

export default function () {
  console.log(parseInt(ua.getBrowser().version || "", 10));
  if (
    ua.getBrowser().name !== "Blink" ||
    parseInt(ua.getBrowser().version || "", 10) <= 80
  ) {
    return false;
  } else {
    return true;
  }
}
